Self Sign Up
Starts a new self sign up process. Returns a token and required fields.
GET/api/cp/signup/start
Responses
200Starts a new self sign up process. Returns a token and required fields.SelfSignUpLog
Show fields (53)
idintegerPrimary key of the sign-up log entry. Internal ID.
tokenstringToken that identifies the sign-up.
public_session_tokenstringToken of the public session the sign-up was made in.
invite_codeSelfSignUpLogInviteCode2Invite code used for the sign-up.
Show fields (8)
idintegerPrimary key of the invite code. Internal ID.
tokenstringToken of the invite code.
log_book_entry_content_typestringContent type of the log book entry created by the invite code.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
person_first_namestringFirst name entered in the sign-up.
person_last_namestringLast name entered in the sign-up.
person_emailstringE-mail address entered in the sign-up.
person_phonestringPhone number entered in the sign-up.
company_namestringCompany name entered in the sign-up.
company_emailstringCompany e-mail address entered in the sign-up.
company_phonestringCompany phone number entered in the sign-up.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday entered in the sign-up.
person_genderstringGender entered in the sign-up.
person_grade_levelintegerGrade level entered in the sign-up.
person_school_classstringSchool class entered in the sign-up.
person_categorystringPerson category entered in the sign-up.
ticket_ticket_typestringTicket type created by the sign-up.
ticket_issuetypestringA type like bug, task, story
ticket_issue_categorystringA category like website, hosting, marketing
require_sepabooleanWhether a SEPA mandate is required.
require_addressbooleanWhether an address is required.
require_company_namestringWhether a company name is required.
require_person_addressbooleanWhether a person address is required.
require_person_birthdaybooleanWhether a birthday is required.
require_person_genderbooleanWhether a gender is required.
require_person_phonestringWhether a phone number is required.
require_ticketbooleanWhether a ticket is required.
additional_peoplearray<SelfSignUpLogAdditionalPerson>Additional people registered in the same sign-up.
Show fields (22)
idintegerPrimary key of the additional person. Internal ID.
person_first_namestringFirst name of the additional person.
person_last_namestringLast name of the additional person.
person_emailstringE-mail address of the additional person.
person_phonestringPhone number of the additional person.
person_addressstringAddress of the additional person, as text.
person_address_street_levelstringStreet and house number of the additional person's address.
person_address_costringCare-of line of the additional person's address.
person_address_citystringCity of the additional person's address.
person_address_zipstringPostal code of the additional person's address.
person_address_countrystringCountry of the additional person's address.
person_birthdaystring (date-time)Birthday of the additional person.
person_genderstringGender of the additional person.
person_grade_levelintegerGrade level of the additional person.
person_school_classstringSchool class of the additional person.
person_categorystringCategory of the additional person.
ticket_ticket_typestringTicket type for the additional person's ticket.
ticket_issuetypestringIssue type for the additional person's ticket.
ticket_issue_categorystringIssue category for the additional person's ticket.
ticket_headlinestringHeadline of the additional person's ticket.
ticket_descriptionstringDescription of the additional person's ticket.
processed_person_idstringID of the person created for the additional person.
processed_company_numberstringNumber of the company created from the sign-up.
processed_company_idstringID of the company created from the sign-up.
processed_person_idstringID of the person created from the sign-up.
processed_user_idstringID of the user created from the sign-up.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_ownerstringAccount owner of the direct debit.
payment_institutionstringName of the bank of the direct debit.
payment_bicstringBIC of the bank account.
payment_ibanstringIBAN of the bank account.
payment_mandatestringReference of the SEPA mandate.
payment_mandate_sign_datestring (date-time)Date the SEPA mandate was signed.
payment_mandate_valid_until_datestring (date-time)Date until which the SEPA mandate is valid.
curl --request GET \
--url https://your-instance.iw-erp.de/api/cp/signup/startconst options = {method: 'GET'};
fetch('https://your-instance.iw-erp.de/api/cp/signup/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/signup/start"
response = requests.get(url)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/cp/signup/start');
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/signup/start"),
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/signup/start")
.get()
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/signup/start"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/self_sign_up_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await SelfSignUpController.start();
if (result.success) {
print(result.data);
}{
"id": 42,
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org",
"company_phone": "+49 511 123456",
"company_address_city": "Hannover",
"company_address_zip": "30163"
}Finish self sign up process. Requires token from Self Sign Up - Start.
POST/api/cp/signup/finish/{token}
Path parameters
tokenrequiredstring |
Request body application/json
dataSelfSignUpLog2Show fields (35)
person_first_namestringFirst name entered in the sign-up.
person_last_namestringLast name entered in the sign-up.
person_emailstringE-mail address entered in the sign-up.
person_phonestringPhone number entered in the sign-up.
company_namestringCompany name entered in the sign-up.
company_emailstringCompany e-mail address entered in the sign-up.
company_phonestringCompany phone number entered in the sign-up.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday entered in the sign-up.
person_genderstringGender entered in the sign-up.
person_grade_levelintegerGrade level entered in the sign-up.
person_school_classstringSchool class entered in the sign-up.
person_categorystringPerson category entered in the sign-up.
ticket_ticket_typestringTicket type created by the sign-up.
ticket_issuetypestringA type like bug, task, story
ticket_issue_categorystringA category like website, hosting, marketing
additional_peoplearray<SelfSignUpLogAdditionalPerson2>Additional people registered in the same sign-up.
payment_ownerstringAccount owner of the direct debit.
payment_institutionstringName of the bank of the direct debit.
payment_bicstringBIC of the bank account.
payment_ibanstringIBAN of the bank account.
payment_mandatestringReference of the SEPA mandate.
payment_mandate_sign_datestring (date-time)Date the SEPA mandate was signed.
payment_mandate_valid_until_datestring (date-time)Date until which the SEPA mandate is valid.
Responses
200Finish self sign up process. Requires token from Self Sign Up - Start.SelfSignUpLog
Show fields (53)
idintegerPrimary key of the sign-up log entry. Internal ID.
tokenstringToken that identifies the sign-up.
public_session_tokenstringToken of the public session the sign-up was made in.
invite_codeSelfSignUpLogInviteCode2Invite code used for the sign-up.
Show fields (8)
idintegerPrimary key of the invite code. Internal ID.
tokenstringToken of the invite code.
log_book_entry_content_typestringContent type of the log book entry created by the invite code.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
person_first_namestringFirst name entered in the sign-up.
person_last_namestringLast name entered in the sign-up.
person_emailstringE-mail address entered in the sign-up.
person_phonestringPhone number entered in the sign-up.
company_namestringCompany name entered in the sign-up.
company_emailstringCompany e-mail address entered in the sign-up.
company_phonestringCompany phone number entered in the sign-up.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday entered in the sign-up.
person_genderstringGender entered in the sign-up.
person_grade_levelintegerGrade level entered in the sign-up.
person_school_classstringSchool class entered in the sign-up.
person_categorystringPerson category entered in the sign-up.
ticket_ticket_typestringTicket type created by the sign-up.
ticket_issuetypestringA type like bug, task, story
ticket_issue_categorystringA category like website, hosting, marketing
require_sepabooleanWhether a SEPA mandate is required.
require_addressbooleanWhether an address is required.
require_company_namestringWhether a company name is required.
require_person_addressbooleanWhether a person address is required.
require_person_birthdaybooleanWhether a birthday is required.
require_person_genderbooleanWhether a gender is required.
require_person_phonestringWhether a phone number is required.
require_ticketbooleanWhether a ticket is required.
additional_peoplearray<SelfSignUpLogAdditionalPerson>Additional people registered in the same sign-up.
Show fields (22)
idintegerPrimary key of the additional person. Internal ID.
person_first_namestringFirst name of the additional person.
person_last_namestringLast name of the additional person.
person_emailstringE-mail address of the additional person.
person_phonestringPhone number of the additional person.
person_addressstringAddress of the additional person, as text.
person_address_street_levelstringStreet and house number of the additional person's address.
person_address_costringCare-of line of the additional person's address.
person_address_citystringCity of the additional person's address.
person_address_zipstringPostal code of the additional person's address.
person_address_countrystringCountry of the additional person's address.
person_birthdaystring (date-time)Birthday of the additional person.
person_genderstringGender of the additional person.
person_grade_levelintegerGrade level of the additional person.
person_school_classstringSchool class of the additional person.
person_categorystringCategory of the additional person.
ticket_ticket_typestringTicket type for the additional person's ticket.
ticket_issuetypestringIssue type for the additional person's ticket.
ticket_issue_categorystringIssue category for the additional person's ticket.
ticket_headlinestringHeadline of the additional person's ticket.
ticket_descriptionstringDescription of the additional person's ticket.
processed_person_idstringID of the person created for the additional person.
processed_company_numberstringNumber of the company created from the sign-up.
processed_company_idstringID of the company created from the sign-up.
processed_person_idstringID of the person created from the sign-up.
processed_user_idstringID of the user created from the sign-up.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_ownerstringAccount owner of the direct debit.
payment_institutionstringName of the bank of the direct debit.
payment_bicstringBIC of the bank account.
payment_ibanstringIBAN of the bank account.
payment_mandatestringReference of the SEPA mandate.
payment_mandate_sign_datestring (date-time)Date the SEPA mandate was signed.
payment_mandate_valid_until_datestring (date-time)Date until which the SEPA mandate is valid.
curl --request POST \
--url https://your-instance.iw-erp.de/api/cp/signup/finish/42 \
--header 'content-type: application/json' \
--data '
{
"data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
}
}
'const options = {
method: 'POST',
headers: {'content-type': 'application/json'},
body: JSON.stringify({
data: {
person_first_name: 'Beispiel',
person_last_name: 'Beispiel',
person_email: 'lena.hartmann@example.org',
person_phone: '+49 511 123456',
company_name: 'Beispiel',
company_email: 'lena.hartmann@example.org'
}
})
};
fetch('https://your-instance.iw-erp.de/api/cp/signup/finish/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/signup/finish/42"
payload = { "data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
} }
headers = {"content-type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/cp/signup/finish/42', [
'body' => '{"data":{"person_first_name":"Beispiel","person_last_name":"Beispiel","person_email":"lena.hartmann@example.org","person_phone":"+49 511 123456","company_name":"Beispiel","company_email":"lena.hartmann@example.org"}}',
'headers' => [
'content-type' => 'application/json',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/signup/finish/42"),
Content = new StringContent("{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/signup/finish/42")
.post(body)
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/signup/finish/42"
payload := strings.NewReader("{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/self_sign_up_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/self_sign_up.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await SelfSignUpController.finish(SelfSignUp.fromJson({
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org",
"company_phone": "+49 511 123456",
"company_address_city": "Hannover",
"company_address_zip": "30163"
}